<!DOCTYPE html>
<html lang="en">
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link href="https://fonts.googleapis.com/css2?family=Antic+Slab&display=swap" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="css/style.css">
    <script type="text/javascript" src="javascript/scripts.js"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
</head>
<body onload="loadAll(true)">
<div class="mainHolder">
    <div class="alert alert-secondary alert-dismissible fade" style="position: absolute; top: 0px; right: 0px; left: 0px; margin: auto; width: 30%" role="alert" id="myAlert">
        <div id="alert-message"></div>
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <h1 class="display-4">Diary Keeper</h1>
    <p class="lead" style="margin-left: 10px;">
        - We'll keep you diary safe.
    </p>
    <hr>
    <div id="diarieHolder" style="margin-left: 15px; margin-right: 15px;">
        <table width="100%">
        <tr width="20%">
            <td>
        <p>Entries listed by
            <select onchange="loadAgain(this)" style="min-width: fit-content; max-height: fit-content; border: none;">
            <option  value="0" selected>newest</option>
            <option value="1">oldest</option>
        </select></p>
            </td>
    <td style="text-align: right;" width="50%">
        <p>
        <a href="/new" class="menuItem">[Create new entry]</a>
        </p>
    </td>
        </tr>
        </table>

        <table class="table table-borderless">
            <tbody id="tbodyHolder">
            </tbody>
        </table>
    </div>
</div>
</body>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
<script th:inline="javascript">
    ///If we should render the alert.
    if([[${redirectedFrom}]] === "deleted") {
        document.getElementById("myAlert").classList.add("show");
        document.getElementById("alert-message").innerText = "You sucessfully deleted the entry.";
    }
    else if([[${redirectedFrom}]] === "failed") {
        document.getElementById("myAlert").classList.add("show");
        document.getElementById("alert-message").innerText = "You failed to delete the resource.";
    }
    //Load all the entries again.
    function loadAgain(t) {
        if(t.value === "1") {
            loadAll(false)
        }
        else {
            loadAll(true)
        }
    }
</script>
</html>